/*
 * tik_tak.c
 *
 * Created: 01.09.2015 22:24:14
 *  Author: Admin
 */ 


#define F_CPU 1000000UL
#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "n5110.h"
unsigned char takt = 0;
unsigned char sek = 0;
unsigned char min=0;
unsigned char hour=0;
unsigned char dsek = 0;
unsigned char dmin=0;
unsigned char dhour=0;
unsigned char bufer_sek[2];
unsigned char bufer_min[2];
unsigned char bufer_hour[2];
unsigned char bufer_dsek[2];
unsigned char bufer_dmin[2];
unsigned char bufer_dhour[2];

ISR (TIMER2_OVF_vect)
{
	takt++;
	if (takt>=50){sek++; takt=0x00;}
	if (sek>=10) {dsek++; sek=0x00;}
	if (dsek>=6) {min++; dsek=0x00;}
	if (min>=10) {dmin++; min=0x00;}
	if (dmin>=6) {hour++; dmin=0x00;}
	if (hour>=10) {dhour++; hour=0x00;}
	if (dhour==2 && hour>=4) {dhour=0x00; hour=0x00;}
}

int main(void)
{
	TIMSK |= (1<<TOIE2);
	TCCR2 |= (1<<CS22)|(1<<CS20);
	SREG |= (1<<7);	//asm("sei");
	Lcd_init();
	Lcd_clear();
	Lcd_update();
    while(1)
    {
      Lcd_clear();
      itoa(dhour,bufer_dhour,10);
      Lcd_print(3,2,FONT_1X,(unsigned char*)bufer_dhour);
      itoa(hour,bufer_hour,10);
      Lcd_print(4,2,FONT_1X,(unsigned char*)bufer_hour);
      Lcd_prints(5,2, FONT_1X, (unsigned char*)PSTR(":"));
      itoa(dmin,bufer_dmin,10);
      Lcd_print(6,2,FONT_1X,(unsigned char*)bufer_dmin);
      itoa(min,bufer_min,10);
      Lcd_print(7,2,FONT_1X,(unsigned char*)bufer_min);
      Lcd_prints(8,2, FONT_1X, (unsigned char*)PSTR(":"));
      itoa(dsek,bufer_dsek,10);
      Lcd_print(9,2,FONT_1X,(unsigned char*)bufer_dsek);
      itoa(sek,bufer_sek,10);
      Lcd_print(10,2,FONT_1X,(unsigned char*)bufer_sek);
      Lcd_update();
    }
}